- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# Vertex Struct Reference

This reference page is linked to from the following overview topics: Mesh and Topology.

Search for all occurrences

## Detailed Description

Represents a vertex point on a Mesh with its associated data.

A Vertex has an x,y,z position in space, a normal, a "Freeze" value between 0.0 and 1.0, and a boolean flag saying whether or not the vertex is currently selected. Each Mesh object contains a list of Vertex objects.

Definition at line 44 of file mesh.h.

`#include <mesh.h>`

List of all members.

## Public Member Functions
| Vertex (void)
float | Freeze (void) const
| Returns the Freeze value of the Vertex (between 0.0 and 1.0, where 0.0 is not frozen)
void | SetFreeze (float fFreeze)
| Sets the Freeze value of the Vertex (between 0.0 and 1.0, where 0.0 is not frozen)
float | Mask (void) const
| Do not use this method.
void | SetMask (float fMask)
| Do not use this method.
bool | IsSelected (void) const
| Returns the Selected state of the Vertex (true or false)
void | SetSelected (bool bSelected)
| Sets the Selected state of the Vertex (true or false)
## Public Attributes
Vector | m_vPos
unsigned int | m_iStrokeID
unsigned short | m_iStates

## Constructor & Destructor Documentation

Vertex | ( | void |  | ) | `[inline]`

Definition at line 46 of file mesh.h.

    { m_iStrokeID = 0; m_iStates = 0; };

## Member Function Documentation

float Freeze | ( | void |  | ) | const `[inline]`

Search for all occurrences

Returns the Freeze value of the Vertex (between 0.0 and 1.0, where 0.0 is not frozen)

The freeze value is used to lock parts of the mesh so they are less affected by sculpting brushes. It is the responsibility of every sculpt brush to take into account the Freeze values on vertices it is modifying.

Definition at line 64 of file mesh.h.

            { return ((float)(unsigned char)(m_iStates&0x7f))/0x7f; };

void SetFreeze | ( | float | fFreeze | ) | `[inline]`

Search for all occurrences

Sets the Freeze value of the Vertex (between 0.0 and 1.0, where 0.0 is not frozen)

The freeze value is used to lock parts of the mesh so they are less affected by sculpting brushes. It is the responsibility of every sculpt brush to take into account the Freeze values on vertices it is modifying.

Definition at line 73 of file mesh.h.

            { m_iStates = (m_iStates&0xff80)+(unsigned int)(0x7f*fFreeze); };

float Mask | ( | void |  | ) | const `[inline]`

Search for all occurrences

Do not use this method.

Layer masks should be accessed via LayerMeshData::VertexMask.

Definition at line 78 of file mesh.h.

            { return ((float)(unsigned char)(m_iStates>>8))/0xff; };

void SetMask | ( | float | fMask | ) | `[inline]`

Search for all occurrences

Do not use this method.

Layer masks should be accessed via LayerMeshData::VertexMask.

Definition at line 83 of file mesh.h.

            { m_iStates = (m_iStates&0xff)+(((unsigned int)(0xff*fMask))<<8); };

bool IsSelected | ( | void |  | ) | const `[inline]`

Search for all occurrences

Returns the Selected state of the Vertex (true or false)

Definition at line 87 of file mesh.h.

    { return (m_iStates&0x80) != 0; };

void SetSelected | ( | bool | bSelected | ) | `[inline]`

Search for all occurrences

Sets the Selected state of the Vertex (true or false)

Definition at line 90 of file mesh.h.

            { m_iStates = (m_iStates&0xff7f)+bSelected*0x80; };

## Member Data Documentation

Vector m_vPos

Search for all occurrences

Definition at line 46 of file mesh.h.

unsigned int m_iStrokeID `[mutable]`

Search for all occurrences

Definition at line 50 of file mesh.h.

unsigned short m_iStates

Search for all occurrences

Definition at line 56 of file mesh.h.

The documentation for this struct was generated from the following file:

- Mudbox/mesh.h